Draft Dimension/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "==Description== L'outil {{KEY|16px|text-top=Cote|link=Draft_Dimension/fr Cotation}} demande à l'utilisateur deux points...")
(Created page with "480px")
Line 5: Line 5:
L'outil {{KEY|[[Image:Draft_Dimension.png|16px|text-top=Cote|link=Draft_Dimension/fr]] [[ Draft_Dimension/fr|Cotation]]}} demande à l'utilisateur deux points définissants le segment qui doit être côté puis, un troisième point afin de localiser la ligne de dimension.
L'outil {{KEY|[[Image:Draft_Dimension.png|16px|text-top=Cote|link=Draft_Dimension/fr]] [[ Draft_Dimension/fr|Cotation]]}} demande à l'utilisateur deux points définissants le segment qui doit être côté puis, un troisième point afin de localiser la ligne de dimension.


[[Image:Screenshot_Draft_Dimension.jpg|400px]]
[[Image:Screenshot_Draft_Dimension.jpg|480px]]


==How to use==
==How to use==

Revision as of 20:58, 27 January 2014

Cotation

Emplacement du menu
Draft → Dimension
Ateliers
Draft
Raccourci par défaut
D I
Introduit dans la version
-
Voir aussi
Aucun

Description

L'outil text-top=Cote Cotation demande à l'utilisateur deux points définissants le segment qui doit être côté puis, un troisième point afin de localiser la ligne de dimension.

How to use

  1. Press the Draft Dimension button, or press D then I keys
  2. Click a point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate
  4. Click a third on the 3D view, or type a coordinate

Available dimension types

  • Linear dimensions: by picking any 2 points or any straight edge with ALT pressed.
  • Horizontal/vertical dimensions: by pressing SHIFT after the first point is selected.
  • Diameter dimensions: by picking a curved edge with ALT pressed.
  • Radius dimensions: by picking a curved edge with ALT pressed, then pressing SHIFT.
  • Angular dimensions: by picking 2 straight edges with ALT pressed.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.

Properties

  • DonnéesStart: The start point of the distance to measure
  • DonnéesEnd: The end point of the distance to measure
  • DonnéesDimline: A point through which the dimension line must pass
  • VueDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VueFont Size: The size of the letters
  • VueExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VueText Position: Can be used to force the text to be displayed at a certain position
  • VueOverride: Specifies a text to display instead of the measurement. Use the word "dim", inside that text, to display the measurement
  • VueFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Dimension tool can by used in macros and from the python console by using the following functions:

 '''makeDimension (p1,p2,[p3])''' or '''makeDimension (object,i1,i2,p3)''' or '''makeDimension (objlist,indices,p3)'''
  • Creates a Dimension object with the dimension line passign through p3.
  • The Dimension object takes the Draft linewidth and color set in the command bar.
  • There are multiple ways to create a dimension, depending on the arguments you pass to it:
  1. (p1,p2,p3): creates a standard dimension from p1 to p2.
  2. (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
  3. (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.
 '''makeAngularDimension (center,[angle1,angle2],p3)'''
  • creates an angular Dimension from the given center, with the given list of angles, passing through p3.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeDimension(p1,p2,p3)

Links

Tutorial Projecting dimensions on a Drawing Page